#ifndef __CPU_H__
#define __CPU_H__

#include "xburst_types.h"

void flush_cache_all(void);
void handle_error_level(void);
void enter_user_mode(void);
void enable_interrupts(void);
void init_interrupts(void);
void init_tlb(void);
void map_page(u32, u32, u32, u8, u8);
void map_page_index(u32, u32, u32, u8, u8, u32);
void unmap_page(u32, u32, u32, u8, u8);
void tlb_handle(void);

#endif /* __CPU_H__ */
